API dla afiliantów › Przestrzeń robocza Pobierz ustawienia profilu GET /api/crm/v2/profilev2
operationId: profile.default
Zwraca ustawienia profilu bieżącego użytkownika. Bieżąca sesja jest oznaczona jako is_current.
Autoryzacja api-token + language + role
Odpowiedzi 200
object
status string wymagane
Wartości: successerror
Przykład: success
data object
name string
Nazwa użytkownika; może być pusta
Przykład: John Smith
email string
Aktualny login; zmieniany tylko przez profile.request_email_change i tylko po potwierdzeniu
Przykład: user@fs.pro
confirmed boolean
Przykład: true
email_confirmation object
Aktywne żądanie potwierdzenia adresu; null, jeśli nie istnieje. Jeśli jego email jest taki sam jak obecny, żądanie potwierdza rejestrację, w przeciwnym razie — zmianę adresu.
email string
Przykład: new@fs.pro
date_creation string (DataTimeFormatSQL)
Przykład: 2024-05-02 08:31:16
date_expiration string (DataTimeFormatSQL)
Przykład: 2024-05-02 08:31:16
phone_format_id integer (PhoneFormatId)
Kod kraju: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)
Przykład: 1
phone_number string
Przykład: 9999999999
telegram_user_id string
Przykład: 476962294
timezone string
Przykład: Europe/Kaliningrad
language string
Przykład: ru
photo string
Przykład: https://cdn.foodsoul.test/users/images/b4374f57329de384b95e7abdaddb9ffa.jpg?v1744970341
otp_enabled boolean
Przykład: false
tg_bot_name string
Przykład: fs_system_notifications_bot
max_bot_name string
Przykład: fs_system_notifications_bot
secret string wymagane
Przykład: HF4DO4LYGM2G643E
qr string wymagane
Przykład: https://api.qrserver.com/v1/create-qr-code/?data=otpauth%3A%2F%2Ftotp%2FFS%2520Partner%3Aglasscat86%40gmail.com%3Fsecret%3DNMYXKRZVOF5DQ2JW%26issuer%3DFS%2520Partner&size=520x520&margin=15
sessions array of object
Aktywne sesje użytkownika
date_last_used string
Przykład: 2026-08-03 15:13:58
ip_address string
Przykład: 78.36.200.161
user_agent string
Przykład: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/151.0.0.0 Safari/537.36
is_current boolean
Przykład: true
curl PHP JavaScript Python Kopiuj
curl -X GET 'https://foodsoul.pro/api/crm/v2/profile' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pl' \
-H 'role: affiliate' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/profile' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'pl' ,
'role' => 'affiliate' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/profile" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pl" ,
"role" : "affiliate"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/profile" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pl" ,
"role" : "affiliate" ,
},
)
data = response . json () Odpowiedź 200
{
"status" : "success" ,
"data" : {
"name" : "John Smith" ,
"email" : "user@fs.pro" ,
"confirmed" : true ,
"email_confirmation" : {
"email" : "new@fs.pro" ,
"date_creation" : "2024-05-02 08:31:16" ,
"date_expiration" : "2024-05-02 08:31:16"
},
"phone_format_id" : 1 ,
"phone_number" : "9999999999" ,
"telegram_user_id" : "476962294" ,
"timezone" : "Europe/Kaliningrad" ,
"language" : "ru" ,
"photo" : "https://cdn.foodsoul.test/users/images/b4374f57329de384b95e7abdaddb9ffa.jpg?v1744970341" ,
"otp_enabled" : false ,
"tg_bot_name" : "fs_system_notifications_bot" ,
"max_bot_name" : "fs_system_notifications_bot" ,
"secret" : "HF4DO4LYGM2G643E" ,
"qr" : "https://api.qrserver.com/v1/create-qr-code/?data=otpauth%3A%2F%2Ftotp%2FFS%2520Partner%3Aglasscat86%40gmail.com%3Fsecret%3DNMYXKRZVOF5DQ2JW%26issuer%3DFS%2520Partner&size=520x520&margin=15" ,
"sessions" : [
{
"id" : 1 ,
"date_last_used" : "2026-08-03 15:13:58" ,
"ip_address" : "78.36.200.161" ,
"user_agent" : "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/151.0.0.0 Safari/537.36" ,
"is_current" : true
}
]
}
} Żądania są wysyłane na foodsoul.pro — to jest host tego portalu, nie można wybrać innego.